summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2013-06-01 18:51:57 +0000
committerRobin H. Johnson <robbat2@gentoo.org>2013-06-01 18:51:57 +0000
commitb9dd5f6c955b6a79de4bc6c969acf2b05e435b57 (patch)
treec80214bc88dc1ab443c0f33d7ea83aec46a1659b /eclass/php-ext-source-r2.eclass
parentPatchset moved to Gentoo mirrors. (diff)
downloadgentoo-2-b9dd5f6c955b6a79de4bc6c969acf2b05e435b57.tar.gz
gentoo-2-b9dd5f6c955b6a79de4bc6c969acf2b05e435b57.tar.bz2
gentoo-2-b9dd5f6c955b6a79de4bc6c969acf2b05e435b57.zip
Fix REQUIRED_USE with PHP_EXT_OPTIONAL_USE set. Fixes REQUIRED_USE unsatisfied constraints triggered by "USE=-php PHP_TARGETS= emerge media-libs/ming".
Diffstat (limited to 'eclass/php-ext-source-r2.eclass')
-rw-r--r--eclass/php-ext-source-r2.eclass6
1 files changed, 3 insertions, 3 deletions
diff --git a/eclass/php-ext-source-r2.eclass b/eclass/php-ext-source-r2.eclass
index 8d723b5a6730..97b44ee3f674 100644
--- a/eclass/php-ext-source-r2.eclass
+++ b/eclass/php-ext-source-r2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-source-r2.eclass,v 1.32 2013/04/14 06:54:43 olemarkus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-source-r2.eclass,v 1.33 2013/06/01 18:51:57 robbat2 Exp $
# @ECLASS: php-ext-source-r2.eclass
# @MAINTAINER:
@@ -69,7 +69,7 @@ esac
[[ -z "${PHP_EXT_S}" ]] && PHP_EXT_S="${S}"
#Make sure at least one target is installed.
-REQUIRED_USE="|| ( "
+REQUIRED_USE="${PHP_EXT_OPTIONAL_USE}${PHP_EXT_OPTIONAL_USE:+? ( }|| ( "
for target in ${USE_PHP}; do
IUSE="${IUSE} php_targets_${target}"
target=${target/+}
@@ -79,7 +79,7 @@ for target in ${USE_PHP}; do
PHPDEPEND="${PHPDEPEND}
php_targets_${target}? ( dev-lang/php:${slot} )"
done
-REQUIRED_USE+=")"
+REQUIRED_USE+=") ${PHP_EXT_OPTIONAL_USE:+ )}"
RDEPEND="${RDEPEND}
${PHP_EXT_OPTIONAL_USE}${PHP_EXT_OPTIONAL_USE:+? ( }